<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/activity_equipment_configuration"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.configuration.ArcherySetupConfigurationActivity">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/configArcherySetupLbl"
                style="@style/Widget.AppCompat.TextView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="16dp"
                android:background="@color/purple_700"
                android:padding="4dp"
                android:text="@string/asTitleArcherySetupConfig"
                android:textAppearance="@style/TextAppearance.AppCompat.Large"
                android:textColor="@color/white"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="1.0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                android:id="@+id/asArcherySetupSelectionLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/configArcherySetupLbl">

                <AutoCompleteTextView
                    android:id="@+id/asArcherySetupSelectionTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:editable="false"
                    android:hint="@string/asArcherySetupLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>


            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asLabelLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asArcherySetupSelectionLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asLabelTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/asLabel"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                android:id="@+id/asRiserSelectionLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asLabelLayout">

                <AutoCompleteTextView
                    android:id="@+id/asRiserSelectionTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:editable="false"
                    android:hint="@string/rcRiserLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                android:id="@+id/asSightSelectionLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asRiserSelectionLayout">

                <AutoCompleteTextView
                    android:id="@+id/asSightSelectionTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:editable="false"
                    android:hint="@string/rcSightLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asArrowDiameterLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asSightSelectionLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asArrowDiameterTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/arrowDiameterLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asArrowCWLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asArrowDiameterLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asArrowCWTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/arrowCwLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asArrowWeightLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asArrowCWLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asArrowWeightTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/arrowWeightLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asArrowV0Layout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asArrowWeightLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asArrowV0Txt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/arrowV0Lbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asBowPulloutLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asArrowV0Layout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asBowPulloutTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/bowPulloutLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asArrowNockHeightLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asBowPulloutLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asArrowNockHeightTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/arrowNockHeightLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asHNALayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asArrowNockHeightLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asHNATxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/bowParamhNALbl"
                    android:nextFocusDown="@id/nockRaisingTxt"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asNockRaisingLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asHNALayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asNockRaisingTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/bowParamNockRaisingLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asBraceHeightLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asNockRaisingLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asBraceHeightTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/bowParamBraceHeightLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asTargetCenterHeightLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asBraceHeightLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asTargetCenterHeightTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/targetCenterHeightLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asDeltaTimeLayoutLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asTargetCenterHeightLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asDeltaTimeTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/deltaTimeLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asCalcPrecisionLayoutLayout"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asDeltaTimeLayoutLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asCalcPrecisionTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/calcPrecisionLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asSightVertScaleMiddle"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asCalcPrecisionLayoutLayout">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asSightVertScaleMiddleTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/scVertSkalaMiddleLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/asSightHorzSetting"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asSightVertScaleMiddle">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/asSightHorzSettingTxt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/scHeVSLbl"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:orientation="horizontal"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/asSightHorzSetting">

                <Button
                    android:id="@+id/archerystpcfg_button_new"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:text="@string/caption_New"
                    app:icon="@drawable/ic_icon_add"
                    app:iconPadding="-8dp" />

                <Button
                    android:id="@+id/archerystpcfg_button_delete"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:paddingLeft="4dp"
                    android:paddingRight="4dp"
                    android:text="@string/caption_Delete"
                    app:icon="@drawable/ic_icon_delete"
                    app:iconPadding="-8dp" />

                <Button
                    android:id="@+id/archerystpcfg_button_save"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:paddingLeft="4dp"
                    android:paddingRight="4dp"
                    android:text="@string/caption_Save"
                    app:icon="@drawable/ic_icon_save"
                    app:iconPadding="0dp" />

            </LinearLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>